# ``twisted`.`protocols`.`haproxy`.`_wrapper``

module documentation
(source)

Protocol wrapper that provides HAProxy PROXY protocol support.

Class | `HAProxyProtocolWrapper` | A Protocol wrapper that provides HAProxy support.
Class | `HAProxyWrappingFactory` | A Factory wrapper that adds PROXY protocol support to connections.
Function | `proxyEndpoint` | Wrap an endpoint with PROXY protocol support, so that the transport's `getHost` and `getPeer` methods reflect the attributes of the proxied connection rather than the underlying connection.

def proxyEndpoint(wrappedEndpoint): (source)
Wrap an endpoint with PROXY protocol support, so that the transport's `getHost` and `getPeer` methods reflect the attributes of the proxied connection rather than the underlying connection.

Parameters
wrappedEndpoint:`IStreamServerEndpoint` | The underlying listening endpoint.
Returns
`IStreamServerEndpoint` | a new listening endpoint that speaks the PROXY protocol.